Subject: Re: [ANNOUNCEMENT] Updated: cygutils 1.4.16-8 (Test)
From: Mark Geisert <[email-masked]>
Cc: [email-masked]
Date: Sun, 14 Nov 2021 17:55:30 +0000 (UTC)
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Nov 14, 2021 7:24:43 PM Denis Excoffier <[email-masked]>:

> Hello,
> 
>> On 2021-11-03 10:59, Mark Geisert wrote:
>> 
>> The following packages have been uploaded to the Cygwin distribution:
>> 
>> * cygutils-1.4.16-8
>> * cygutils-extra-1.4.16-8
>> * cygutils-x11-1.4.16-8
> 
> 
> The '-u' or '-d' option of getclip does not seem to work properly under xterm.
> How to reproduce:
> 1) Open an xterm
> 2) Select a simple piece of text (with no line ending)
> 3) getclip -u
> 4) Observe 'Segmentation fault(core dumped)'
> 
> If step 2 is replaced by ‘printf AAAA | putclip', no error.
> If step 3 is replaced by ‘getclip’, no error.
> 
> I can’t tell whether this is new or not.
> 
> Remarks:
> 1) If (under xterm) i select a piece of text with a line end, then i can observe ‘\r\n’ at the end (using getclip | od -c)
> 2) If i select a piece of text with a line end with putclip, i can only observe ‘\n’ at the end (echo "AAAA" | putclip | getclip | od -c)
> 3) I launch ‘xwin’ with ‘option -clipboard’ (the default), i suppose this does not matter
> 4) It might be related to xorg-server-21.1.0-1 (TEST) that i installed recently (2021-11-04), however xwinclip-21-1.0-1 didn’t come with the rest
> 
> Regards,
> 
> Denis Excoffier.
Hi Denis,
Thank you for the report. I am out of town for another week. I will investigate upon my return.

..mark

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple